### Constructor

# JavaScriptCore Value new_array_from_strv

#### Declaration [src]

    JSCValue*
    jsc_value_new_array_from_strv (
      JSCContext* context,
      const char* const* strv
    )

#### Description [src]

Create a new `JSCValue` referencing an array of strings with the items from `strv`. If `array` is `NULL` or empty a new empty array will be created.

#### Parameters

`context`

  Type: `JSCContext`

  A `JSCContext`.

  The data is owned by the caller of the function.

`strv`

  Type: An array of `utf8`

  A `NULL`-terminated array of strings.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

#### Return value

Type: `JSCValue`

A `JSCValue`.

The caller of the function takes ownership of the data, and is responsible for freeing it.